Bug 438138 - (tzdata-java-epel) Review Request: tzdata-java - Time zone data for Java language
Review Request: tzdata-java - Time zone data for Java language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks: openjdk-epel
  Show dependency treegraph
 
Reported: 2008-03-19 07:56 EDT by Lubomir Kundrak
Modified: 2008-04-08 06:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 06:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-19 07:56:19 EDT
Spec URL: http://people.redhat.com/lkundrak/SPECS/tzdata-java.spec
SRPM URL:
http://people.redhat.com/lkundrak/mock-results/tzdata-java-2007k-0.1.el5.noarch/tzdata-java-2007k-0.1.el5.src.rpm
mock:
http://people.redhat.com/lkundrak/mock-results/tzdata-java-2007k-0.1.el5.noarch/
Description: Time zone data for Java language

Compiled time zone data files for use with Java
programming language.

---
This package just makes sense for EPEL, so that we can get OpenJDK there.

It is superseded by subpackage of tzdata in Fedora, so will probably not live
longer than until next major RHEL release.

So from some point of view, it just just a hack.
Comment 1 Lubomir Kundrak 2008-03-19 07:58:47 EDT
This package's content is completely euqal to tzdata-java from Rawhide.

Problemetic points:

javazic.tar.gz -- no source URL for that. The same with tzdata package. Google
for its origin :) Java ZIC was not yet officially released in a polished and
packaged form yer.

General ugliness (replacing sun. with rht., etc.), shared with tzdata package :o)

Comment 2 Marek Mahut 2008-03-20 13:23:34 EDT
This hack looks clean. Lubomir explained to me the Java warnings, however as
this is not permanent package and will vanish after RHEL6 release I don't see
any problem with this.

APPROVED.
Comment 3 Lubomir Kundrak 2008-03-27 16:30:19 EDT
New Package CVS Request
=======================
Package Name: tzdata-java
Short Description: Time zone data for Java language
Owners: lkundrak
Branches: EL-4 EL-5
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-04-03 13:58:38 EDT
Is the License tag right here? The main 'tzdata' package which uses the same
upstream as this has a different tag... 

Also, can you check and make sure this conforms to the just approved java
guidelines?

Comment 5 Kevin Fenzi 2008-04-03 16:16:21 EDT
Per IRC conversation with Lubomir, the main tzdata package has an incorrect
license tag, and he's going to file a bug on it. 

cvs done.
Comment 6 Jason Tibbitts 2008-04-03 16:33:56 EDT
Well, when I did the merge review for tzdata we talked about the license;
perhaps someone could let me know what is incorrect about the discussion in bug
226509.  Bottom line: there is LGPL code in the source package but that code is
only used in building and none of it is present in the binary package; all
that's left is public domain data.  Since the License: tag refers only to the
final binary package, that should be correct.
Comment 7 Lubomir Kundrak 2008-04-04 03:58:50 EDT
(In reply to comment #6)
> Since the License: tag refers only to the
> final binary package, that should be correct.

Does it? The source rpm packages also contain this license tag, and the indeed
don't contain only public domain code. Is that rule documented somewhere?
Comment 8 Jason Tibbitts 2008-04-04 16:43:48 EDT
Please see http://fedoraproject.org/wiki/Packaging/LicensingGuidelines

"
The License: field refers to the licenses of the contents of the binary rpm.
When in doubt, ask.
"

Comment 9 Lubomir Kundrak 2008-04-08 06:08:27 EDT
Jason: Thanks, fixed.
Imported and built, Thanks Marek, Thanks Kevin.

Note You need to log in before you can comment on or make changes to this bug.